import AuthStorage from "../../utils/AuthStorage";

const userInfosModule = {
	namespaced: true,
	state: {
		userInfo: AuthStorage.getUserInfo(),
		accessToken: AuthStorage.getAccessToken(),
		refreshToken: AuthStorage.getRefreshToken()
	},
	mutations: {
	},
	actions: {
		/**
		 * 令牌刷新
		 * @returns {Promise<unknown>}
		 */
		refresh_token() {
			return new Promise(resolve => {
				console.debug('默认token校验')
				resolve({ code: 200 })
			})
		}
	}
};

export default userInfosModule;
