import { Local, Session } from "./StorageData";
import AuthStorage from "./AuthStorage";
import Util from "./Util";
import RenderDefine from "./RenderDefine";
import { get, post, remove, put, execute, resultMsg } from './RequestUtil'

const common = [
    { name: '$Local', value: Local },
    { name: '$Session', value: Session },
    { name: '$AuthStorage', value: AuthStorage },
    { name: '$Util', value: Util },
    { name: '$LabRender', value: RenderDefine },
    { name: '$get', value: get },
    { name: '$post', value: post },
    { name: '$remove', value: remove },
    { name: '$put', value: put },
    { name: '$execute', value: execute },
    { name: '$resultMsg', value: resultMsg }
]

export default common