const MonacoWebpackPlugin = require('monaco-editor-webpack-plugin')

const { defineConfig } = require('@vue/cli-service')
module.exports = defineConfig({
  transpileDependencies: true,
  configureWebpack: {
    plugins: [
      new MonacoWebpackPlugin()
    ]
  },
  devServer: {
    port: process.env.VUE_APP_PORT,
    open: true,
    host: 'localhost'
  }
})
