/**
 * 组件注册
 */
export default {
    inject: {
        /**
         * 当前组件
         */
        selfRegister: {
            from: 'selfRegister',
            default: function () {
                return null
            }
        }
    },
    created() {
        this.$nextTick(() => {
            if (this.selfRegister) {
                this.selfRegister(this)
            }
        })
    }
}