import { Session } from "./StorageData";

/**
 * 授权令牌
 * 刷新令牌
 * 用户信息
 */
const AuthStorage = {
    setAccessToken(token, life){
        Session.set('LAB-TOKEN', token, life);
    },
    setRefreshToken(refreshToken, life){
        Session.set('LAB-REFRESH', refreshToken, life);
    },
    setUserInfo(userInfo){
        Session.set('LAB-USER', userInfo);
    },
    getAccessToken(){
        return Session.get('LAB-TOKEN');
    },
    getRefreshToken(){
        return Session.get('LAB-REFRESH');
    },
    getUserInfo(){
        return Session.get('LAB-USER');
    },
    removeToken(){
        Session.remove('LAB-TOKEN')
    },
    clear(){
        Session.remove('LAB-TOKEN')
        Session.remove('LAB-REFRESH')
        Session.remove('LAB-USER')
    }
}
export default AuthStorage